#include <bits/stdc++.h>

using namespace std;

int main()
{
    int k;

    cin >> k;

    cout << 3 * k << endl;

    int f = 0;

    for(int i = 1; i <= k; ++i) {
        cout << i - 1 << " " << f << endl;
        f++;
        cout << i - 1 << " " << f << endl;
        f++;
        cout << i - 1 << " " << f << endl;
        f++;
    }

    return 0;
}